type LoadCSSOptions = {
  key?: string;
  url: string;
  force?: boolean;
};
export const loadCSS = (opts: LoadCSSOptions | string) => {
  if (typeof opts === 'string') {
    opts = { url: opts };
  }
  const { key, url, force } = opts;
  let cssKeyDom = document.querySelector('#load-css-' + key);
  if (!force && key && cssKeyDom) {
    // console.log('css already loaded', key);
    return;
  } else if (key && cssKeyDom) {
    cssKeyDom.remove();
  }
  const link = document.createElement('link');
  link.id = key ? 'load-css-' + key : '';
  link.rel = 'stylesheet';
  link.href = url;
  document.head.appendChild(link);
};
